Bug 1156328 (CVE-2019-18677)

Summary: VUL-0: CVE-2019-18677: squid,squid3: incorrect message processing can lead to inappropriately redirect traffic
Product: [Novell Products] SUSE Security Incidents Reporter: Robert Frohl <rfrohl>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: atoptsoglou, cathy.hu
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/246785/
Whiteboard: CVSSv3.1:SUSE:CVE-2019-18677:7.4:(AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Robert Frohl 2019-11-08 15:52:48 UTC
Problem Description:

 Due to incorrect message processing Squid configured with
 append_domain can inappropriately redirect traffic to origins it
 should not be delivered to.

__________________________________________________________________

Severity:

 This issue allows attackers to hide origin servers for phishing
 attacks or malware download URLs.

 This issue is restricted to proxies with append_domain
 configured. It is relatively easy for attackers to probe and
 determine whether a target network proxy has this directive
 along with its value.

__________________________________________________________________

Updated Packages:

 This bug is fixed by Squid version 4.9.

 In addition, patches addressing this problem for the stable
 releases can be found in our patch archives:

Squid 3.5:
 <http://www.squid-cache.org/Versions/v3/3.5/changesets/squid-3.5-e5f1813a674848dde570f7920873e1071f96e0b4.patch>

Squid 4:
 <http://www.squid-cache.org/Versions/v4/changesets/squid-4-36492033ea4097821a4f7ff3ddcb971fbd1e8ba0.patch>

 If you are using a prepackaged version of Squid then please refer
 to the package vendor for availability information on updated
 packages.

__________________________________________________________________

Determining if your version is vulnerable:

 All Squid without append_domain configured are not vulnerable.

 All Squid-2.x up to and including 2.7.STABLE9 with append_domain
 configured are vulnerable.
 All Squid-3.x up to and including 3.5.28 with append_domain
 configured are vulnerable.
 All Squid-4.x up to and including 4.8 with append_domain
 configured are vulnerable.


To determine whether append_domain is configured use the command:

 squid -k parse | grep append_domain

__________________________________________________________________

Workarounds:

 Remove append_domain configuration settings from squid.conf.

 The append_domain feature is redundant when /etc/resolv.conf
 is used to determine hostnames. However, please note that use
 of /etc/resolv.conf may require removal of dns_nameservers and
 other redundant DNS directives.


http://www.squid-cache.org/Advisories/SQUID-2019_9.txt
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-18677
Comment 1 Swamp Workflow Management 2019-11-08 17:00:21 UTC
This is an autogenerated message for OBS integration:
This bug (1156328) was mentioned in
https://build.opensuse.org/request/show/746661 Factory / squid
Comment 3 Swamp Workflow Management 2019-11-14 20:15:19 UTC
SUSE-SU-2019:2975-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1133089,1140738,1141329,1141330,1141332,1141442,1156323,1156324,1156326,1156328,1156329
CVE References: CVE-2019-12523,CVE-2019-12525,CVE-2019-12526,CVE-2019-12527,CVE-2019-12529,CVE-2019-12854,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-3688
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    squid-4.9-5.11.1
SUSE Linux Enterprise Module for Server Applications 15 (src):    squid-4.9-5.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2019-11-21 17:18:10 UTC
openSUSE-SU-2019:2540-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1133089,1140738,1141329,1141330,1141332,1141442,1156323,1156324,1156326,1156328,1156329
CVE References: CVE-2019-12523,CVE-2019-12525,CVE-2019-12526,CVE-2019-12527,CVE-2019-12529,CVE-2019-12854,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-3688
Sources used:
openSUSE Leap 15.0 (src):    squid-4.9-lp150.13.1
Comment 5 Swamp Workflow Management 2019-11-21 17:21:13 UTC
openSUSE-SU-2019:2541-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1133089,1140738,1141329,1141330,1141332,1141442,1156323,1156324,1156326,1156328,1156329
CVE References: CVE-2019-12523,CVE-2019-12525,CVE-2019-12526,CVE-2019-12527,CVE-2019-12529,CVE-2019-12854,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-3688
Sources used:
openSUSE Leap 15.1 (src):    squid-4.9-lp151.2.7.1
Comment 6 Swamp Workflow Management 2019-11-26 14:13:38 UTC
SUSE-SU-2019:3067-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1140738,1156323,1156324,1156326,1156328,1156329
CVE References: CVE-2019-12523,CVE-2019-12526,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    squid-4.9-4.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-03-12 20:20:04 UTC
SUSE-SU-2020:0661-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1156323,1156324,1156326,1156328,1156329,1162687,1162689,1162691
CVE References: CVE-2019-12523,CVE-2019-12526,CVE-2019-12528,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    squid-3.5.21-26.20.1
SUSE OpenStack Cloud 8 (src):    squid-3.5.21-26.20.1
SUSE OpenStack Cloud 7 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP4 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    squid-3.5.21-26.20.1
SUSE Enterprise Storage 5 (src):    squid-3.5.21-26.20.1
HPE Helion Openstack 8 (src):    squid-3.5.21-26.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2020-08-24 16:14:10 UTC
SUSE-SU-2020:14460-1: An update that fixes 21 vulnerabilities is now available.

Category: security (important)
Bug References: 1140738,1141329,1141332,1156323,1156324,1156326,1156328,1156329,1162687,1162689,1162691,1167373,1169659,1170313,1170423,1173304,1173455
CVE References: CVE-2019-12519,CVE-2019-12520,CVE-2019-12521,CVE-2019-12523,CVE-2019-12524,CVE-2019-12525,CVE-2019-12526,CVE-2019-12528,CVE-2019-12529,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-18860,CVE-2020-11945,CVE-2020-14059,CVE-2020-15049,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    squid3-3.1.23-8.16.37.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.